RDKit::HasPropWithValueQuery< TargetPtr, T > Class Template Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::HasPropWithValueQuery< TargetPtr, T >:

## Public Member Functions

| HasPropWithValueQuery ()
| HasPropWithValueQuery (const std::string &prop, const T &v, const T &tol=0.0)
virtual bool | Match (const TargetPtr what) const
| returns whether or not we match the argument More...
Queries::Query< int, TargetPtr, true > * | copy () const
| returns a copy of this query More...
Public Member Functions inherited from Queries::EqualityQuery< int, TargetPtr, true >
| EqualityQuery ()
| EqualityQuery (int v)
| constructs with our target value More...
| EqualityQuery (int v, int t)
| constructs with our target value and a tolerance More...
void | setVal (int what)
| sets our target value More...
const int | getVal () const
| returns our target value More...
void | setTol (int what)
| sets our tolerance More...
const int | getTol () const
| returns out tolerance More...
std::string | getFullDescription () const
| returns a fuller text description More...
Public Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated More...
bool | getNegation () const
| returns whether or not we are negated More...
void | setDescription (const std::string &descr)
| sets our text description More...
void | setDescription (const char *descr)
const std::string & | getDescription () const
| returns our text description More...
void | setMatchFunc (bool(*what)(int))
| sets our match function More...
void | setDataFunc (int(*what)(TargetPtr))
| sets our data function More...
void | addChild (CHILD_TYPE child)
| adds a child to our list of children More...
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector More...
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector More...

## Additional Inherited Members

Public Types inherited from Queries::Query< int, TargetPtr, needsConversion >
typedef boost::shared_ptr< Query< int, TargetPtr, needsConversion > > | CHILD_TYPE
typedef std::vector< CHILD_TYPE > | CHILD_VECT
typedef CHILD_VECT::iterator | CHILD_VECT_I
typedef CHILD_VECT::const_iterator | CHILD_VECT_CI
Public Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
bool(*)(int) | getMatchFunc () const
| returns our match function: More...
int(*)(TargetPtr) | getDataFunc () const
| returns our data function: More...
Protected Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
int | TypeConvert (int what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what` More...
int | TypeConvert (TargetPtr what, Int2Type< true >) const
| calls our `dataFunc` (which must be set) on `what` and returns the More...
Protected Attributes inherited from Queries::EqualityQuery< int, TargetPtr, true >
int | d_val
int | d_tol
Protected Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
std::string | d_description
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(int)
int(* | d_dataFunc )(TargetPtr)

## Detailed Description

### template<class TargetPtr, class T>
class RDKit::HasPropWithValueQuery< TargetPtr, T >

Definition at line 566 of file QueryOps.h.

## Constructor & Destructor Documentation

## HasPropWithValueQuery() [1/2]

template<class TargetPtr, class T>

RDKit::HasPropWithValueQuery< TargetPtr, T >::HasPropWithValueQuery | ( |  | ) |

inline

Definition at line 573 of file QueryOps.h.

References Queries::Query< int, ConstAtomPtr, needsConversion >::setDataFunc(), and Queries::Query< int, ConstAtomPtr, needsConversion >::setDescription().

## HasPropWithValueQuery() [2/2]

template<class TargetPtr, class T>

RDKit::HasPropWithValueQuery< TargetPtr, T >::HasPropWithValueQuery | ( | const std::string & | prop,
|  | const T & | v,
|  | const T & | tol = `0.0`
| ) |  |

inline explicit

Definition at line 579 of file QueryOps.h.

References Queries::Query< int, ConstAtomPtr, needsConversion >::setDataFunc(), and Queries::Query< int, ConstAtomPtr, needsConversion >::setDescription().

## Member Function Documentation

## copy()

template<class TargetPtr, class T>

Queries::Query<int, TargetPtr, true>* RDKit::HasPropWithValueQuery< TargetPtr, T >::copy | ( |  | ) | const

inline virtual

returns a copy of this query

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 625 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< int, ConstAtomPtr, needsConversion >::d_description, Queries::Query< int, ConstAtomPtr, needsConversion >::getNegation(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation().

## Match()

template<class TargetPtr, class T>

virtual bool RDKit::HasPropWithValueQuery< TargetPtr, T >::Match | ( | const TargetPtr | arg | ) | const

inline virtual

returns whether or not we match the argument

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 590 of file QueryOps.h.

References Queries::Query< int, ConstAtomPtr, needsConversion >::getNegation(), and Queries::queryCmp().

The documentation for this class was generated from the following file:

- QueryOps.h